> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endorlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GetPackageLicenseOverride

> Gets a package license override by its UUID.



## OpenAPI

````yaml /api-reference/openapi.v3.json get /v1/namespaces/{tenant_meta.namespace}/package-license-overrides/{uuid}
openapi: 3.0.3
info:
  description: Integrate your application with Endor Labs using the REST API.
  title: Endor Labs REST API Reference
  version: '1.0'
servers:
  - url: https://api.endorlabs.com/
security: []
tags:
  - name: AISastCustomerContextService
  - name: APIKeyService
  - name: APIKeyValidatorService
  - name: ArtifactSignatureService
  - name: AuditLogService
  - name: AuthenticationLogService
  - name: AuthenticationService
  - name: AuthorizationPolicyService
  - name: BatchFileSegmentsService
  - name: BatchNotificationService
  - name: CallGraphDataService
  - name: CodeOwnersService
  - name: DependencyMetadataService
  - name: EndorIgnoreEntryService
  - name: ExporterService
  - name: FindingLogService
  - name: FindingService
  - name: HuggingFaceModelService
  - name: HuggingFaceOrganizationService
  - name: IPAddressPolicyService
  - name: IdentityProviderService
  - name: InstallationService
  - name: InvitationService
  - name: LicenseDependencyService
  - name: LicenseNoticesReportService
  - name: LicenseSummaryService
  - name: LinterResultService
  - name: MalwareService
  - name: MetricService
  - name: NamespaceService
  - name: NotificationService
  - name: NotificationTargetService
  - name: OnPremSchedulerService
  - name: PRCommentConfigService
  - name: PackageFirewallLogService
  - name: PackageLicenseOverrideService
  - name: PackageLicenseQueryService
  - name: PackageLicenseService
  - name: PackageManagerService
  - name: PackageVersionService
  - name: PluginBinaryService
  - name: PolicyService
  - name: PolicyTemplateService
  - name: ProjectService
  - name: ProvisioningResultService
  - name: QueryMalwareService
  - name: QueryService
  - name: QuerySimilarPackagesService
  - name: QueryVulnerabilityService
  - name: RegistryIngestionCheckpointService
  - name: RepositoryService
  - name: RepositoryVersionService
  - name: RuleSetImportService
  - name: SBOMExportService
  - name: SBOMImportService
  - name: SCMCredentialService
  - name: SavedQueryService
  - name: ScanLogRequestService
  - name: ScanProfileService
  - name: ScanResultService
  - name: ScanWorkflowResultService
  - name: ScanWorkflowService
  - name: SecretRuleService
  - name: SemgrepRuleService
  - name: SystemConfigService
  - name: TenantService
  - name: VEXExportService
  - name: VectorStoreService
  - name: VersionUpgradeService
  - name: VulnerabilityService
paths:
  /v1/namespaces/{tenant_meta.namespace}/package-license-overrides/{uuid}:
    get:
      tags:
        - PackageLicenseOverrideService
      summary: GetPackageLicenseOverride
      description: Gets a package license override by its UUID.
      operationId: PackageLicenseOverrideService_GetPackageLicenseOverride
      parameters:
        - description: >-
            Namespaces are a way to organize organizational units into virtual

            groupings of resources. Namespaces must be a fully qualified name,

            for example, the child namespace of namespace "endor.prod" called
            "app"

            is called "endor.prod.app".
          in: path
          name: tenant_meta.namespace
          required: true
          schema:
            type: string
          x-endor-name: Namespace
        - description: The UUID of the requested resource.
          in: path
          name: uuid
          required: true
          schema:
            type: string
        - description: List of fields to return (all fields are returned by default).
          in: query
          name: get_parameters.mask
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1PackageLicenseOverride'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
          description: An unexpected error response.
components:
  schemas:
    v1PackageLicenseOverride:
      description: >-
        PackageLicenseOverride represents user edits and selections for
        licenses, copyrights, and notices

        at the package version level. Edits made at this level apply across all
        projects in the namespace

        that use the same package version.

        The package version UUID is stored in spec.package_version_uuid.
      properties:
        meta:
          $ref: '#/components/schemas/v1Meta'
        propagate:
          description: >-
            Indicates whether this override should be visible in child
            namespaces.

            When querying from a descendant namespace, handlers should include
            parent

            overrides only when this flag is set to true (same inheritance
            pattern as policies).
          type: boolean
        spec:
          $ref: '#/components/schemas/v1PackageLicenseOverrideSpec'
        tenant_meta:
          $ref: '#/components/schemas/v1TenantMeta'
        uuid:
          description: The UUID of the package license override.
          readOnly: true
          type: string
      required:
        - tenant_meta
        - meta
        - spec
      type: object
    googlerpcStatus:
      description: >-
        The `Status` type defines a logical error model that is suitable for

        different programming environments, including REST APIs and RPC APIs. It
        is

        used by [gRPC](https://github.com/grpc). Each `Status` message contains

        three pieces of data: error code, error message, and error details.


        You can find out more about this error model and how to work with it in
        the

        [API Design Guide](https://cloud.google.com/apis/design/errors).
      properties:
        code:
          description: |-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
          type: integer
        details:
          description: >-
            A list of messages that carry the error details.  There is a common
            set of

            message types for APIs to use.
          items:
            $ref: '#/components/schemas/googleprotobufAny'
          type: array
        message:
          description: >-
            A developer-facing error message, which should be in English. Any

            user-facing error message should be localized and sent in the

            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized

            by the client.
          type: string
      type: object
    v1Meta:
      description: Common fields for all Endor Labs resources.
      properties:
        annotations:
          additionalProperties:
            type: string
          description: >-
            Annotations can be used to attach metadata to a resource message.

            Annotation values can be small or large, structured or unstructured,

            and may include characters not permitted by labels.

            The keys may contain alphanumerics, underscores (_), dots (.) and
            dashes

            (-). The values of an annotation must be 16384 bytes or smaller.
          type: object
        create_time:
          description: |-
            Time the resource was created.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        created_by:
          description: |-
            Name and authentication source of the user who created the object,
            for example, ewok@endor.ai@google@api-key.
          readOnly: true
          type: string
        description:
          description: Resource description. Must be less than 1024 bytes.
          type: string
        index_data:
          $ref: '#/components/schemas/v1IndexData'
        kind:
          description: >-
            Resource kind, for example, HelloResponse.

            Auto-generated using the protobuf message
            proto.MessageName().Name().
          readOnly: true
          type: string
        name:
          description: Resource name. Must be 63 characters or less.
          type: string
        parent_kind:
          description: Parent object resource kind, for example, Project.
          type: string
        parent_uuid:
          description: Parent object UUID.
          type: string
        references:
          additionalProperties:
            $ref: '#/components/schemas/googleprotobufAny'
          description: Map of objects referenced in a query API.
          readOnly: true
          type: object
        tags:
          description: >-
            List of tags attached to the resource.

            Tags can be used to select objects and to find collections of
            objects that

            satisfy certain conditions. A tag must be 255 characters or less.
          items:
            type: string
          type: array
        update_time:
          description: |-
            Time the resource was last updated.
            Note: Updated on all create/patch/delete operations.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        updated_by:
          description: >-
            Name and authentication source of the last user who updated the
            object,

            for example, vulnerabilityingestor@endor.ai@x509.
          readOnly: true
          type: string
        upsert_time:
          description: |-
            Time the resource was last upserted.

            Note:
            create_time is only set the first time the resource is created.
            upsert_time is set every time the resource is upseted.

            Format: 2017-01-15T01:30:15.01Z
            RFC 3339: https://www.ietf.org/rfc/rfc3339.txt.
          format: date-time
          readOnly: true
          type: string
        version:
          description: Message version.
          readOnly: true
          type: string
      required:
        - name
      type: object
    v1PackageLicenseOverrideSpec:
      properties:
        copyright_overrides:
          additionalProperties:
            $ref: '#/components/schemas/PackageLicenseOverrideCopyrightOverride'
          description: >-
            Map of copyright key to CopyrightOverride.

            Contains copyrights that have been edited or newly added by the
            user.

            Original copyrights from PackageLicense are NOT stored here - they
            are fetched from PackageLicense when needed.

            Key format:
              - For edited copyrights from PackageLicense: use the key from PackageLicense.spec.copyrights map.
                (this is the file path where the copyright was found).
              - For new copyrights added by user: use generated UUID prefixed with "new-".
          type: object
        deselected_copyrights:
          additionalProperties:
            type: boolean
          description: >-
            Map of copyright key to selection state.

            Only deselected copyrights are stored here (value = false).

            If a copyright key is not present in this map, it defaults to
            selected (true).
          type: object
        deselected_licenses:
          additionalProperties:
            type: boolean
          description: >-
            Map of license identifier to selection state.

            Only deselected licenses are stored here (value = false).

            If a license identifier is not present in this map, it defaults to
            selected (true).
          type: object
        deselected_notices:
          additionalProperties:
            type: boolean
          description: >-
            Map of notice identifier to selection state.

            Only deselected notices are stored here (value = false).

            If a notice identifier is not present in this map, it defaults to
            selected (true).
          type: object
        license_overrides:
          additionalProperties:
            $ref: '#/components/schemas/PackageLicenseOverrideLicenseOverride'
          description: >-
            Map of license identifier to LicenseOverride.

            Contains licenses that have been edited or newly added by the user.

            Original licenses from PackageLicense are NOT stored here - they are
            fetched from PackageLicense when needed.

            Key format: hash calculated from normalized license text (same
            calculation as PackageLicenseInfo.hash).
              - For edited licenses from PackageLicense: use hash from PackageLicenseInfo.hash.
                (this hash maps to the key in PackageLicense.spec.license_text map).
              - For new licenses added by user: calculate hash from the license_text provided in LicenseOverride.
                The hash is calculated using the same method: SHA256(MakeLicenseKey(normalized_license_text)).
            The hash is calculated from the normalized license text and is
            available for all

            license types (code_licenses, package_manager_licenses,
            declared_code_licenses).
          type: object
        notice_overrides:
          additionalProperties:
            $ref: '#/components/schemas/PackageLicenseOverrideNoticeOverride'
          title: >-
            Map of notice identifier to NoticeOverride.

            Contains notices that have been edited or newly added by the user.

            Original notices from PackageLicense are NOT stored here - they are
            fetched from PackageLicense when needed.

            Key format:
              - For edited notices from PackageLicense: use hash or composite identifier
              - For new notices added by user: use generated UUID prefixed with "new-"
          type: object
        package_version_uuid:
          description: The UUID of the package version this override is for.
          type: string
      required:
        - package_version_uuid
      type: object
    v1TenantMeta:
      description: Tenant related data for the tenant containing the resource.
      properties:
        namespace:
          description: >-
            Namespaces are a way to organize organizational units into virtual

            groupings of resources. Namespaces must be a fully qualified name,

            for example, the child namespace of namespace "endor.prod" called
            "app"

            is called "endor.prod.app".
          type: string
      required:
        - namespace
      type: object
    googleprotobufAny:
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
      properties:
        '@type':
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
          type: string
      type: object
    v1IndexData:
      description: |-
        IndexData is used to index the resource for search. It's an internal
        object.
      properties:
        data:
          items:
            type: string
          readOnly: true
          type: array
        search_score:
          description: >-
            search_score is the score of the resource for search. Internal use
            only.
          format: float
          readOnly: true
          type: number
        tenant:
          readOnly: true
          type: string
        will_be_deleted_at:
          description: Time that the resource will be deleted.
          format: date-time
          readOnly: true
          type: string
      type: object
    PackageLicenseOverrideCopyrightOverride:
      description: >-
        CopyrightOverride represents an override for a single copyright.

        This is used when the user edits the copyright text or adds a new
        copyright.
      properties:
        copyright_text:
          description: >-
            The copyright text override (as edited by the user).

            This is the full copyright text that will be used instead of the
            original.
          type: string
        file_locations:
          description: The file locations where the copyright was found in the source code.
          items:
            $ref: '#/components/schemas/v1LicenseFileLocation'
          type: array
      required:
        - copyright_text
      type: object
    PackageLicenseOverrideLicenseOverride:
      description: |-
        LicenseOverride represents an override for a single license.
        This is used when the user edits the license text or adds a new license.
      properties:
        copyrights:
          description: The copyrights within the license text.
          items:
            type: string
          type: array
        file_locations:
          description: |-
            The file locations where the license was found in the source code.
            This helps identify where the original license was located.
          items:
            $ref: '#/components/schemas/v1LicenseFileLocation'
          type: array
        license_text:
          description: >-
            The license text override (raw license text as edited by the user).

            This is the full text of the license that will be used instead of
            the original.
          type: string
        original_hash:
          description: >-
            Hash of the original license from PackageLicenseInfo.hash (if
            overriding existing license).

            This is the hash that maps to the key in
            PackageLicense.spec.license_text map.

            For new licenses added by user, this will be empty (the hash is
            calculated from license_text and used as the map key).
          type: string
        source:
          description: >-
            Source of the original license (e.g., "code", "package_manager",
            "declared").

            This helps identify which original license this override corresponds
            to.
          type: string
        spdx_expr:
          description: The SPDX expression of the license (e.g., "MIT OR Apache-2.0").
          type: string
        spdx_ids:
          description: The SPDX IDs of the license (e.g., ["MIT", "Apache-2.0"]).
          items:
            type: string
          type: array
        type:
          description: |-
            License classification (based on licenseclassifier by Google).
            Examples: "notice", "reciprocal", "permissive", "restricted", etc.
          type: string
        url:
          description: The URL link to the license details (if available).
          type: string
      required:
        - license_text
      type: object
    PackageLicenseOverrideNoticeOverride:
      description: |-
        NoticeOverride represents an override for a single notice.
        This is used when the user edits the notice text or adds a new notice.
      properties:
        file_locations:
          description: The file locations where the notice was found in the source code.
          items:
            $ref: '#/components/schemas/v1LicenseFileLocation'
          type: array
        notices_text:
          description: >-
            The notices text override (as edited by the user).

            This is the full notice text that will be used instead of the
            original.
          type: string
      required:
        - notices_text
      type: object
    v1LicenseFileLocation:
      description: >-
        LicenseFileLocation represents the location of a license, copyright, or
        notice in source files.
      properties:
        end_byte:
          description: The end byte of the license/copyright/notice in the file.
          format: int32
          type: integer
        end_line:
          description: The end line of the license/copyright/notice in the file.
          format: int32
          type: integer
        relative_path:
          description: >-
            The relative path to the file where the license/copyright/notice was
            found.
          type: string
        start_byte:
          description: The start byte of the license/copyright/notice in the file.
          format: int32
          type: integer
        start_line:
          description: The start line of the license/copyright/notice in the file.
          format: int32
          type: integer
      type: object

````